import o from "./canUseDom.mjs";
var i = function(r) {
  if (o() && window.document.documentElement) {
    var e = Array.isArray(r) ? r : [r], t = window.document.documentElement;
    return e.some(function(u) {
      return u in t.style;
    });
  }
  return !1;
}, p = function(r, e) {
  if (!i(r))
    return !1;
  var t = document.createElement("div"), u = t.style[r];
  return t.style[r] = e, t.style[r] !== u;
};
function f(n, r) {
  return !Array.isArray(n) && r !== void 0 ? p(n, r) : i(n);
}
export {
  f as isStyleSupport
};
